routes/web.php
<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\AnnounceController;
use App\Http\Controllers\CompanyController;



/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Auth::routes();
Route::get('/', [HomeController::class, 'front'])->name('front');
Route::get('/dashboard', [HomeController::class, 'index'])->name('dashboard');
//Route::get('announce_add/save', [AnnounceController::class, 'saveRecord'])->name('announce_add/save');

Route::resource('role', RoleController::class);
Route::resource('user', UserController::class);
Route::resource('announce', AnnounceController::class);
// Route::resource('announce_list', AnnounceController::class);
//Route::resource('announce_add', AnnounceController::class);

Route::resource('company', CompanyController::class);
Route::get('reports',[HomeController::class, 'reportForm'])->name('report.form');
Route::get('rfq/report',[HomeController::class, 'rfqReport'])->name('rfq.report');
Route::get('company/list/{id}',[HomeController::class, 'companyList'])->name('company.list');

Route::view('/test', 'layouts.main');

resources/views/dashboard/index.blade.php
@extends('app')

@section('page_title', __('general.dashboard'))

@section('body')

<div class="container-fluid">
    <!-- Small boxes (Stat box) -->
    <div class="row">
      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-info">
          <div class="inner">
            <h3>{{__('general.companies')}}</h3>

            <h2>{{ $company->count() }}</h2>
          </div>
          <div class="icon">
            <i class="ion ion-bag"></i>
          </div>
          <a href="{{ route('company.index') }}" class="small-box-footer">{{ __('general.more_info') }}<i class="fas fa-arrow-circle-right"></i></a>
        </div>
      </div>
      <!-- ./col -->
      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-success">
          <div class="inner">
            <h3>{{__('general.announcement')}}<sup style="font-size: 20px"></sup></h3>

            <h2>{{ $announce->count() }}</h2>
          </div>
          <div class="icon">
            <i class="ion ion-stats-bars"></i>
          </div>
          <a href="{{ route('announce.index') }}" class="small-box-footer">{{ __('general.more_info') }}<i class="fas fa-arrow-circle-right"></i></a>
        </div>
      </div>
      <!-- ./col -->
      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-warning">
          <div class="inner">
            <h3>{{__('general.downloads')}}</h3>

            <h2>{{ $history->count() }}</h2>
          </div>
          <div class="icon">
            <i class="ion ion-person-add"></i>
          </div>
          <a href="#" class="small-box-footer"> {{ __('general.more_info') }} <i class="fas fa-arrow-circle-right"></i></a>
        </div>
      </div>
      <!-- ./col -->
      
      <!-- ./col -->
      <!-- BAR CHART -->
      <div class="col-sm-6 col-md-12">
        <div class="card card-success">
        <div class="card-header">
          <h4 class="card-title">چارت اعلانات</h4>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="remove">
              <i class="fas fa-times"></i>
            </button>
            <button type="button" class="btn btn-tool" data-card-widget="collapse">
              <i class="fas fa-minus"></i>
            </button>
          </div>
        </div>
        <div class="card-body">
          <div class="chart">
            <canvas id="barChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
            {{-- <canvas id="donutChart" style="min-height: 350px; height: 250px; max-height: 250px; max-width: 10%;"></canvas> --}}
            {{-- <canvas id="pieChart" style="min-height: 350px; height: 250px; max-height: 250px; max-width: 10%;"></canvas>          --}}
          </div>
        </div>
      </div>
    </div>
      <!-- /.card -->
      <div class="col-sm-6 col-md-12">
        <div class="card card-success">
          <div class="card-header">
            <h2 class="card-title">آخرین پنج اعلانات داونلود شده</h2>
          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="remove">
              <i class="fas fa-times"></i>
            </button>
            <button type="button" class="btn btn-tool" data-card-widget="collapse">
              <i class="fas fa-minus"></i>
            </button>
          </div>
        </div>
        
     
        <!-- /.card-header -->
        <div class="card-body">
          <div id="example1_wrapper" class="dataTables_wrapper dt-bootstrap4">
            <div class="row">
              <div class="col-sm-4 col-md-6">
            </div>
          </div>
        </div>
        <table id="example1" class="table table-bordered table-striped dataTable dtr-inline" aria-describedby="example1_info">
            <thead>
              <tr>
                <th>{{ __('general.title') }} </th>
                <th>{{ __('general.category') }}</th>
                <th>{{ __('general.Ans_StartDate') }}</th>
                <th>{{ __('general.Ans_EndDate') }}</th>
              </tr>
              </thead>
              <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>
        </table>
      </div>
    </div>
    </div>    
</div><!-- /.container-fluid -->
<br>
<!-- jQuery -->
<script src="{{ asset('/plugins/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap 4 -->
<script src="{{ asset('/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<!-- ChartJS -->
<script src="{{ asset('/plugins/chart.js/Chart.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ asset('/dist/js/adminlte.min.js') }}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{ asset('/dist/js/demo.js') }}"></script>

{{-- <script>
  $(function () {
    

    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['January', 'February', 'March', 'April', 'May'],
      datasets: [
        {
          label               : 'Digital Goods',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          data                : []
        },
        {
          label               : 'تدارکات اجناس و خدمات غیر مشورتی',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          data                : []
        },
        {
          label               : 'Electronics',
          backgroundColor     : 'rgba(210, 214, 222, 1)',
          borderColor         : 'rgba(210, 214, 222, 1)',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [65, 59, 80, 81, 56, 55, 40]
        },
      ]
    }

    //-------------
    //- DONUT CHART -
    //-------------
    // Get context with jQuery - using jQuery's .get() method.
    
    var donutData        = {
      
      datasets: [
        {
          data: [700,500,400,600,300,100],
          backgroundColor : ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
        }
      ]
    }
 

    //-------------
    //- PIE CHART -
    //-------------
    // Get context with jQuery - using jQuery's .get() method.
    // var pieChartCanvas = $('#pieChart').get(0).getContext('2d')
    // var pieData        = donutData;
    // var pieOptions     = {
    //   maintainAspectRatio : false,
    //   responsive : true,
    // }
    //Create pie or douhnut chart
    // You can switch between pie and douhnut using the method below.
    

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#barChart').get(0).getContext('2d')
    var barChartData = $.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    var temp1 = areaChartData.datasets[1]
    barChartData.datasets[0] = temp1
    barChartData.datasets[1] = temp0

    var barChartOptions = {
      responsive              : true,
      maintainAspectRatio     : false,
      datasetFill             : false
    }

    new Chart(barChartCanvas, {
      type: 'bar',
      data: barChartData,
      options: barChartOptions
    })

    //---------------------
    //- STACKED BAR CHART -
    //---------------------
    

  
  })
</script> --}}
  
@endsection